/*
 * protocol initialization calls
 *
 * Warning: this file is generated from graph.comp and is overwritten
 * every time 'make compose' is run
 */

#include "upi.h"
#include "x_util.h"
#include "compose.h"
#include "protocols.h"


XObj		protl_tab[4+1];
static XObj	argv[4];


void
build_pgraph_dev()
{

  /*
   *  building protocol SIMETH
   */
  protl_tab[0] = xCreateProtl(simeth_init, "simeth", "",
#ifdef XK_DEBUG
			&tracesimethp,
#else
			0,
#endif
				0, argv);
  if ( protl_tab[0] == ERR_XOBJ ) {
      Kabort("Could not create simeth protocol");
  }

}


void
build_pgraph()
{

  /*
   *  building protocol UDPTEST
   */
  argv[0] = protl_tab[0];
  protl_tab[1] = xCreateProtl(udptest_init, "udptest", "server",
#ifdef XK_DEBUG
			&traceudptestp,
#else
			0,
#endif
				1, argv);
  if ( protl_tab[1] == ERR_XOBJ ) {
      Kabort("Could not create udptest protocol");
  }


  /*
   *  building protocol UDPTEST
   */
  argv[0] = protl_tab[0];
  protl_tab[2] = xCreateProtl(udptest_init, "udptest", "",
#ifdef XK_DEBUG
			&traceudptestp,
#else
			0,
#endif
				1, argv);
  if ( protl_tab[2] == ERR_XOBJ ) {
      Kabort("Could not create udptest protocol");
  }


  /*
   *  building protocol IPROUTETEST
   */
  protl_tab[3] = xCreateProtl(iproutetest_init, "iproutetest", "",
#ifdef XK_DEBUG
			&traceiproutetestp,
#else
			0,
#endif
				0, argv);
  if ( protl_tab[3] == ERR_XOBJ ) {
      Kabort("Could not create iproutetest protocol");
  }

}
