/*
 * $RCSfile: expr.h,v $
 *
 * Universal Stub Compiler
 *
 * Copyright (c) 1994    Arizona Board of Regents
 *
 * $Revision: 1.1 $
 * $Date: 1994/10/13 17:43:30 $
 */

extern Expr *make_op (Expr *left, int op, Expr *right);
extern Expr *do_expr_op (Expr *left, int op, Expr *right);
extern Expr* cat_expr( Expr* one, Expr* two );
extern Expr *const_to_expr (Constant *theconst);
extern Expr *prefix_op (int op, Expr *theexpr);
extern Expr *postfix_op (int op, Expr *theexpr);
extern Expr *sym_to_expr (Symbol *sym);
extern Expr *ident_to_expr (Constant *theconst);
extern Expr *clean_expr (Expr *theexpr);
extern Expr *add_exprs (Expr *left, Expr *right);
extern Expr *mul_exprs (Expr *left, Expr *right);
extern Expr *int_to_expr (int x);
extern Expr *make_int_expr (char *name);
extern const char *parse_op (Expr *left, int op, Expr *right, int *priority,
                             int *assoc);
extern Expr *make_byte_unit (Expr *p);
extern Expr *make_bit_unit (Expr *p);
extern Expr *bit_to_expr (int x);
extern void bit_expr_to_byte_expr (Expr *theexpr);
