/*     
 * $RCSfile: psync.h,v $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 *
 *
 * $Log: psync.h,v $
 * Revision 1.1  1994/04/18 21:59:42  slm
 * Initial revision
 *
 */

#define MAX_PART 3	/* max participants in a conversation */

/* PSYNC protocol control operations */
#define PSYNC_RESTORESESSN (PSYNC_CTL*MAXOPS + 0)

/* PSYNC session control operations */
#define PSYNC_LOOPBACK     (PSYNC_CTL*MAXOPS + 1)
#define PSYNC_ACKMESSAGE   (PSYNC_CTL*MAXOPS + 2)
#define PSYNC_FINDROOT     (PSYNC_CTL*MAXOPS + 3)
#define PSYNC_GETLEAVES    (PSYNC_CTL*MAXOPS + 4)
#define PSYNC_SENDER       (PSYNC_CTL*MAXOPS + 5)
#define PSYNC_GETPARTS     (PSYNC_CTL*MAXOPS + 6)
#define PSYNC_NEXTNODES    (PSYNC_CTL*MAXOPS + 7)
#define PSYNC_PREVNODES    (PSYNC_CTL*MAXOPS + 8)
#define PSYNC_OUTSTANDING  (PSYNC_CTL*MAXOPS + 9)
#define PSYNC_PRECEDES     (PSYNC_CTL*MAXOPS + 10)
#define PSYNC_STABLE       (PSYNC_CTL*MAXOPS + 11)
#define PSYNC_UNSTABLE     (PSYNC_CTL*MAXOPS + 12)
#define PSYNC_MASKOUT      (PSYNC_CTL*MAXOPS + 13)
#define PSYNC_MASKIN       (PSYNC_CTL*MAXOPS + 14)
#define PSYNC_RSTART       (PSYNC_CTL*MAXOPS + 15)
#define PSYNC_GETHANDLE    (PSYNC_CTL*MAXOPS + 16)
#define PSYNC_GETMID       (PSYNC_CTL*MAXOPS + 17)
#define PSYNC_ISALIVE      (PSYNC_CTL*MAXOPS + 18)
#define PSYNC_LASTMSG      (PSYNC_CTL*MAXOPS + 19)
#define PSYNC_IGNORE       (PSYNC_CTL*MAXOPS + 20)
#define PSYNC_ISIGNORE     (PSYNC_CTL*MAXOPS + 21)
#define PSYNC_ACCEPT       (PSYNC_CTL*MAXOPS + 22)
#define PSYNC_SETRECOVERY  (PSYNC_CTL*MAXOPS + 23)
#define PSYNC_NODETOMSG    (PSYNC_CTL*MAXOPS + 24)

typedef	unsigned PSYNCport;

typedef struct psyncaddr {
    PSYNCport port;
    IPhost    host;
} PSYNCaddr;
