/* 
 * $RCSfile: sim_ether_i.h,v $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 *
 * $Log: sim_ether_i.h,v $
 * Revision 1.1  1996/02/19 20:12:02  mjk
 * Initial revision
 *
 */

#define SIMETH_MAX_INSTANCES	5
#define MAX_ETH_SIZE (EMAXPAK+sizeof(ETHhdr))

#define MAX_ERROR_COUNT 1000

#define RCVBUFSIZE 	50*1024		
#define EMAXPAK 	(MAX_ETH_DATA_SZ + sizeof(ETHhdr))


typedef struct {
    char	*buf;
    int		len;
    int		sock;
} EthMsg;

typedef struct {
    XObj	arp;
    int		sock;
    int		port;
    ETHhost	myHost;
    int		errorCount;
} PState;

