#ifndef KERB_SERV_I_H
#define KERB_SERV_I_H

#include "xkernel.h"


typedef struct PSTATEStruct {
  Map activemap;
  Map pasMap;
  int paslen;
  Map tagMap;
  int taglen;
  int default_enhancement;
} PSTATE;


typedef struct SSTATEStruct {
  XObj   lower[5];
  int    curr;
  Bind   tag_bind;
  int    enhancement;
} SSTATE;

#endif
